gkdebconf (2.1.2) unstable; urgency=medium

  * QA upload.
  * Update with gettextize (so that it can build with gettext 0.23.x).
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 03 Jan 2025 19:30:00 +0100

gkdebconf (2.1.1) unstable; urgency=low

  * QA upload.
  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Helge Kreutzmann ]
  * Update German translation (Closes: #978115)

  [ Håvard Flaget Aasen ]
  * d/control:
    - Bump debhelper to 13
    - Update Standards-Version to 4.5.1
  * Rename d/NEWS.debian to d/NEWS and change distribution
    from unreleased to unstable.
  * Drop de_DE.po and es_ES.po translation, rely on de.po and es.po instead
  * Require gettext 0.21, update with gettextize (Closes: #978375)

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 31 Dec 2020 10:57:24 +0100

gkdebconf (2.1.0) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't hard code pkg-config. (Closes: #916419)

  [ Américo Monteiro ]
  * Update Portuguese translation (Closes: #925574).

  [ Jean-Pierre Giraud ]
  * Update French translation (Closes: #928698).

  [ Yavor Doganov ]
  * Use dpkg-parsechangelog to derive version for AC_INIT.
  * Remove GConf migration code; stop recommending gconf2.
  * Port to GTK 3; adjust Build-Depends accordingly.
  * Use dpkg-query instead of accessing dpkg's internal database directly.
  * Update packages providing the debconf frontends.
  * Prompt the user if the GNOME frontend is missing.
  * Bump compat level to 12.
  * Convert the icon to PNG as AppStream does not support XPM.
  * Bump Standards-Version to 4.4.1; no changes needed.
  * Don't set LDFLAGS; unnecessary with GCC 9.
  * Update copyright years.
  * Restore Vcs fields; point to the new Salsa repository.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Oct 2019 23:45:51 +0300

gkdebconf (2.0.4) unstable; urgency=medium

  * QA upload.
  * Port to GSettings (Closes: #698032).
  * Require gettext 0.19; pass "external" to AM_GNU_GETTEXT.
  * Uncomment AC_CONFIG_HEADERS; fixes a bunch of compiler warnings.
  * Don't define MKINSTALLDIRS; unnecessary.
  * Fix compiler warnings; check return result of fgets.
  * debian/control (Build-Depends): Drop libgconf2-dev.  Remove ancient
    gettext version requirement.
    (Recommends): Add gconf2 for data migration.
    (Vcs-Git, Vcs-Browser): Remove as the repository is gone.
    (Standards-Version): Claim compliance with 4.2.1.
  * debian/rules: Set DEB_LDFLAGS_MAINT_APPEND to -Wl,--as-needed.
    (override_dh_auto_install): Remove override; useless.
  * debian/menu: Delete.
  * debian/copyright: Add myself.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 22 Oct 2018 23:32:32 +0300

gkdebconf (2.0.3) unstable; urgency=medium

  * QA upload
  * Use LDADD instead of LDFLAGS to fix build on Ubuntu

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Dec 2017 19:18:58 -0500

gkdebconf (2.0.2) UNRELEASED; urgency=medium

  * QA upload.
  * Remove fake upstream ChangeLog from git repo and source package: It's
    identical to the debian/changelog up to version 1.2.52.
  * Also remove generated config.rpath from git repo and source package.
  * Drop Suggest on long-time removed libqt-perl package.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Fri, 17 Nov 2017 05:56:22 +0100

gkdebconf (2.0.1) unstable; urgency=low

  * QA upload
  * Replace misleading default message in package description area with
    something more helpful. (LP: #906179)
  * Use macros from the package "autoconf-archive" instead the embedded m4
    and intl directories.
    + Add build-dependency on autoconf-archive.
    + Replace MKINSTALLDIRS with a simple "mkdir -p".
    + Create directories for locales half-automated in debian/rules. (Also
      fixes missing locale files in previous upload.)
    + Remove these directories in clean target via debian/clean.
  * Update list of translations in configure.ac and update .po files.
  * Fix multiple autoconf warnings:
    + AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
    + AM_INIT_AUTOMAKE: two- and three-arguments forms are deprecated
  * Add debian/gkdebconf.debhelper.log to .gitignore.

 -- Axel Beckert <abe@debian.org>  Fri, 17 Nov 2017 05:35:55 +0100

gkdebconf (2.0.0) unstable; urgency=low

  * QA upload
  * Set Maintainer to Debian QA Group. (c.f. #852526)
  * Apply "wrap-and-sort -a".
  * Drop gksu support, use sudo + ssh-askpass instead.
    + Add NEWS.Debian entry.
    + Bump major version.
    + Add dependencies on ssh-askpass and sudo.
    + Closes: #822594
  * Switch to source format "3.0 (native)".
  * Switch to minimal "dh $@" style debian/rules and dh compat level 10.
    + Update versioned debhelper build-dependency accordingly.
    + Fix scripts/Makefile.am. (command vs phony target)
    + Install .desktop file via debian/install.
    + Remove all generated files from git repository and source package.
    + Remove po/stamp-po, scripts/*.gmo and ABOUT-NLS in clean target.
    + Fixes several issues in the build system. (Closes: #755706, #803896)
  * Add a .gitignore file.
  * Remove trailing whitespace and double blank lines from ancient
    debian/changelog entries.
  * Enable all hardening build flags.
  * Add Vcs-* headers for newly created collab-maint git repository.
  * Declare compliance with Debian Policy 4.1.1.
  * Fix section in menu file.
  * Run Emacs' whitespace-cleanup over src/*.c and some other files.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Fix cdebconf support.
  * Drop obsolete Encoding key from .desktop file.
  * Add some keywords to .desktop file.
  * Set "Rules-Requires-Root: no".

 -- Axel Beckert <abe@debian.org>  Fri, 17 Nov 2017 02:31:44 +0100

gkdebconf (1.2.68) unstable; urgency=low

  * Updated debian/control and src/debconf.c. (Closes: #631328)
  * Improved build process with dpkg-buildflags.

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Wed, 23 May 2012 13:56:21 -0300

gkdebconf (1.2.66) unstable; urgency=low

  * Updated German translation. (Closes: #583930)
  * Updated Portuguese translation. (Closes: #570088)
  * Updated Spanish translation. (Closes: #590812)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 30 Aug 2010 10:23:35 -0300

gkdebconf (1.2.64) unstable; urgency=low

  * Added gkdebconf.desktop (Closes: #369442)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon, 29 May 2006 22:17:43 -0300

gkdebconf (1.2.62) unstable; urgency=low

  * added Russian translation (Closes: #362810)

 -- Agney Lopes Roth Ferraz <agney@debian.org>  Mon,  1 May 2006 14:49:12 -0300

gkdebconf (1.2.60) unstable; urgency=low

  * added Czech translation. (Closes: #361640)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sun,  9 Apr 2006 14:39:03 -0300

gkdebconf (1.2.59) unstable; urgency=low

  * updated gkdebconf french translation and added gkdebconf-term french
    translation (Closes: #337793)
  * updated gkdebconf-term swedish translation (Closes: #338054)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sun,  6 Nov 2005 17:30:39 -0200

gkdebconf (1.2.58) unstable; urgency=low

  * improved gkdebconf-term internationalization.
    Thanks to Thomas Huriaux. (Closes: #336345)
  * moved swedish translation from sv_SE.po to sv.po (Closes: #336817)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sat, 29 Oct 2005 20:32:21 -0200

gkdebconf (1.2.57) unstable; urgency=low

  * added swedish translation to gkdebconf and gkdebconf-term (Closes: #333560, #333561)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Wed, 12 Oct 2005 14:03:32 -0300

gkdebconf (1.2.56) unstable; urgency=low

  * added an alternate dependency on debconf-2.0 (debconf.c changed to work
    with cdebconf). (Closes: #331837)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Thu,  6 Oct 2005 16:11:21 -0300

gkdebconf (1.2.55) unstable; urgency=low

  * Removed unused helpers from rules.
  * Fixed warning about config generated file on source.
  * Updated policy version (no changes need).

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Mon, 29 Aug 2005 12:41:54 -0300

gkdebconf (1.2.54) unstable; urgency=low

  * fixed hint on menu file (Closes: #296888)
  * New major versions, which may contain new bugs, won't be uploaded before
    the sarge release, even though they're ready.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Fri, 25 Feb 2005 22:23:10 -0300

gkdebconf (1.2.52) unstable; urgency=low

  * Fixed segfault on description packages longer than 2048 Bytes. Thanks to:
    ulrich klueter <klueter@claranet.de> (Closes: #284481, #269129)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sat, 11 Dec 2004 16:47:29 -0200

gkdebconf (1.2.51) unstable; urgency=low

  * 1.2.52

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sat, 11 Dec 2004 16:47:10 -0200

gkdebconf (1.2.50) unstable; urgency=low

  * added japanese translation (Closes: #258745)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Tue, 27 Jul 2004 15:50:06 -0300

gkdebconf (1.2.48) unstable; urgency=low

  * added french translation (Closes: #254816)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Thu, 17 Jun 2004 04:22:43 -0300

gkdebconf (1.2.46) unstable; urgency=low

  * Remove dots from packages description.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Mon, 23 Feb 2004 01:58:17 -0300

gkdebconf (1.2.44) unstable; urgency=low

  * line-breaks on packages description (Closes: #233169)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sat, 21 Feb 2004 16:05:08 -0300

gkdebconf (1.2.42) unstable; urgency=low

  * gkdebconf now needs debconf 1.4.3 and suggests libgnome2-perl (gnome2
    frontend)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Tue,  6 Jan 2004 17:04:32 -0200

gkdebconf (1.2.41) unstable; urgency=low

  * added kde frontend support.
  * check_missing improved, it now uses stat on /var/lib/dpkg/info to check if
    a package is installed.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Mon,  5 Jan 2004 22:35:19 -0200

gkdebconf (1.2.4) unstable; urgency=low

  * po/pt_BR.po
   - fixed charset name ( was ISO-8859-1 but the charset of file is  UTF-8).
   Brazilian users that uses UTF-8 as default locale was having problems to
   see some caracters.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sun,  7 Sep 2003 13:41:41 -0300

gkdebconf (1.2.2) unstable; urgency=low

  * src/debconf.h
   - frontend can be provide by two packages.
  * src/interface.c
   - Now can hide alert message when libgnome is missing.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Wed, 20 Aug 2003 17:32:39 -0300

gkdebconf (1.2.1) unstable; urgency=low

  * src/files.c
   - Fixed memory leak on pkg_info
  * src/interface.c
   - Fixed window scrolling (now it scrolls as should)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Thu, 26 Jun 2003 23:25:58 -0300

gkdebconf (1.2) unstable; urgency=low

  * Lots of GUI improvements by Martynas Jocius <mjoc@delfi.lt> and
    Mantas Kriauciunas <mantas@akl.lt> - now gkdebonf displays package
    descriptions, package can by filtered by sections, etc. (Closes: #172639)

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Mon, 23 Jun 2003 20:35:10 -0300

gkdebconf (1.1.5) unstable; urgency=low

  * updated config.guess and config.sub
  * package combo and frontend combo are not editable anymore.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Fri, 30 May 2003 03:33:25 -0300

gkdebconf (1.1.4) unstable; urgency=low

  * debian/control
   - changed Build-Depends on gettext to gettext (>= 0.11) (Closes: #175120)
  * debian/control
   - added Build-Depends on automake-1.4 (Closes: #193361)
  * Gustavo Noronha Silva (kov@debian.org) gave me the responsability to
    continuous his work on this package. Now I am the new maintainer and
    developer of gkdebconf.

 -- Agney Lopes Roth Ferraz <agney@users.sourceforge.net>  Sun, 25 May 2003 17:41:11 -0300

gkdebconf (1.1.3) unstable; urgency=low

  * recompile with new libgtk2.0, built with libpng3 (Closes: #157826)
  * works with new gettext

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 22 Aug 2002 14:54:07 -0300

gkdebconf (1.1.2) unstable; urgency=low

  * debian/menu:
  - calls gkdebconf without 'su-to-root', because it now uses
    gksu (Closes: #150335)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 18 Jun 2002 22:01:51 -0300

gkdebconf (1.1.1) unstable; urgency=low

  * src/debconf.c, src/gtk_gui.c:
  - Fixed memory leak on calling read_config without freeing
    the return value

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 25 Mar 2002 05:10:09 -0300

gkdebconf (1.1) unstable; urgency=low

  * Ported to Gtk2
  * Uses gksu to ask for password
  * debian/control:
  - depends on gksu for asking for password

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 12 Mar 2002 18:47:16 -0300

gkdebconf (1.0.1-2) unstable; urgency=low

  * src/files.c:
  - if the file has no '.' do not SIGSEV, leave it alone
    (Closes: #135488)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 25 Feb 2002 05:40:32 -0300

gkdebconf (1.0.1-1) unstable; urgency=low

  * debian/control:
  - added Build-Depends: on libgconf-dev (thanks BlindMan!)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 16 Feb 2002 06:00:09 -0200

gkdebconf (1.0.1) unstable; urgency=low

  * src/config.c:
  - rewrote to use gconf, no modification has been done to
    the interface so config.h remains the same
  * src/main.c:
  - gconf_init and stuff
  * src/gtk_gui.c:
  - removed DEBUG message

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 14 Feb 2002 21:58:34 -0200

gkdebconf (1.0-1) unstable; urgency=low

  * debian/control:
  - Build-Depends on debhelper >> 2
  * debian/rules:
  - DH_COMPAT=2

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  1 Feb 2002 03:25:17 -0200

gkdebconf (1.0) unstable; urgency=low

  * src/debconf.c:
  - changed the way we call dpkg-reconfigure to use system(), I
    don't think this causes security problems, and it will ease
    error checking (Closes: #128119)
  * src/gtk_gui.c:
  - now using gdk_pixmap_colormap_create_from_xpm to create the
    pixmaps, that avoids those awfull warnings
  - labels and combos side-by-side
  * po/pt_BR.po:
  - updated

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  7 Jan 2002 19:52:12 -0200

gkdebconf (0.9-2) unstable; urgency=low

  * src/debconf.c: spelling fix (wether->whether) (Closes: #126137)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Dec 2001 18:48:24 -0200

gkdebconf (0.9-1) unstable; urgency=low

  * debian/control: small fix on spelling (Closes: #124672)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 18 Dec 2001 02:03:07 -0200

gkdebconf (0.9) unstable; urgency=low

  * src/splash.c: make label global =P
  * src/debconf.c: modifies the label of the splash screen to
  show the installed packages checking progress

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Dec 2001 02:36:16 -0200

gkdebconf (0.8) unstable; urgency=low

  * scripts/*: now gettext is being used in a less hackish way,
  thanks to bash and to Martin Quinson <Martin.Quinson@ens-lyon.fr>
  for the hint.
  * scripts/gkdebconf-term: checks if LOCAL: is present in `xhost`,
  if it is not add it and then remove it after running the program
  * src/debconf.c: uh oh, fixed a bug wich was making it impossible
  to use any frontend other than the default one.
  * src/debconf.c: redirects stderr on dpkg -s

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 14 Dec 2001 00:56:49 -0200

gkdebconf (0.7) unstable; urgency=low

  * src/gtk_gui.c: Changed the main window's default pixmap, it was
  too large
  * src/files.{c,h},src/cbs.{c,h}: moved parse_selected to cbs.{c,h}
  renaming it to configure_cb
  * src/gtk_gui.c: major modifications on main window's layout
  * src/cbs.c, src/gtk_gui.c: about window has a pixmap now
  * src/main.c: moved sig_handler to debconf.c
  * src/debconf.c: now checks for the existance of the frontend's
  dependancies before adding them to the combo box (dpkg -s should
  be faster =()
  * debian/control: no longer depends on frontend's dependancies,
  just suggest them.
  * scripts/gkdebconf-term: now using gettext, a little hackish,
  yet, but it is very difficult to find information on localizing
  scripts =(
  * src/debconf.c: geez, why did I use need_term as global and
  in fe_select? This was causing any need_term=TRUE frontend
  wich was remembered not to run on a new terminal window

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 Dec 2001 04:44:36 -0200

gkdebconf (0.6) unstable; urgency=low

  * First Debian Official Release (or the "Hello World", release),
    (Closes: #123002)
  * README: added some words about the project, etc
  * debian/docs: created this file with README, TODO and AUTHORS
  * debian/menu: added icon, thanks to Ricardo Sandrin (strange)
  * debian/rules: added dh_fixperms
  * debian/control: added xterm as an alternative to x-terminal-emulator
  * man/*: created manpages for gkdebconf and gkdebconf-term, removed
    dh_undocumented from debian/rules

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Dec 2001 05:12:11 -0200

gkdebconf (0.5) unstable; urgency=low

  * src/files.c: now gkdebconf is able to write and read configuration
    thus being able to store last frontend used and wether the user
    wants to get it remembered.
  * src/debconf.c, src/gtk_gui.c: read configuration and, if
    remember_frontend is "yes" set them
  * scripts/gkdebconf-term: runs xhost to let root open a window
    on the current display, thanks to Gleydson Mazioli

 -- Gustavo Noronha Silva <kov@debian.org>  Sat,  8 Dec 2001 18:08:06 -0200

gkdebconf (0.4) unstable; urgency=low

  * src/debconf.c: hmm, maybe I've mislooked x-terminal-emulator...
    it should support -e no matter what program is selected to
    provide it, let's see
  * debian/control: so, because of that, I'm now depending on
    x-terminal-emulator *and* on every needed package needed for
    all debconf's frontends, ok, this is ugly, but I will still
    need to find a way to check wether the frontend failed/exists,
    etc.
  * scripts/gkdebconf-term: explain that's a wrap around dpkg-reconfigure
    if it is called without $1 or $2
  * src/gtk_gui.c: added a menubar and an about dialog
  * src/debconf.c: doesn't assume Gnome as the default
  * src/debconf.c: runs gkdebconf-term for any frontend, even
    those who doesn't need a terminal to get root passwd if gkdebconf
    was ran by a non-root user
  * scripts/gkdebconf-term: checks for root and asks for password if
    needed

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  7 Dec 2001 22:58:42 -0200

gkdebconf (0.3) unstable; urgency=low

  * src/gtk_gui.c: changed the gk_dialog's title to GkDebconf
  * src/gtk_gui.c: changed the splash screen to show a beautiful
    pixmap while starting
  * src/Makefile.am, src/debconf.c: PREFIX now holds $(prefix) instead
    of $(prefix)/bin
  * src/gtk_gui.c: main window uses the splash's pixmap
  * src/files.c, src/main.c: moved splash screen creationg/showing
    from files.c to main.c, that's where it belongs. There are still
    some calls on gtk_gui.c that annoy me.

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  5 Dec 2001 00:02:58 -0200

gkdebconf (0.2) unstable; urgency=low

  * src/files.c: get_options now sorts the list of configurable
    packages.
  * scripts/gkdebconf-term: wrapper to call dpkg-reconfigure when
    running on xterm. This allows me to check for errors.
  * src/debconf.c: uses the script above.
  * debian/control: added xterm to the Depends: field, I still
    need to find a way to make a x-terminal-emulator-independent
    call.
  * src/debconf.c: uses PREFIX to call gkdebconf-term

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  3 Dec 2001 13:13:32 -0200

gkdebconf (0.1) unstable; urgency=low

  * First version.

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  2 Dec 2001 22:00:17 -0200
